-- Perfectboost by Indev for Sunflower's Garden
-- Allows you to always get a perfect boost when holding the acc button
-- This is made so Time Attacking with Leaderboard is way less tedious
local function countPlayers()
    local c = 0
    local active1
    local active2

    for player in players.iterate do
        if not player.spectator then
            c = c + 1

            if not active1 then
                active1 = player
            else
                active2 = player
            end
        end
    end

    return c, active1, active2
end

local function boostcharge(p)
    if not p then return end
    p.kartstuff[k_boostcharge] = min($, 35)
end

addHook("ThinkFrame", function()
    local active_count, player1, player2 = countPlayers()

    local combi = hcombi and (hcombi.combi_on or hcombi.leveltime_on)

    if leveltime < 10*TICRATE and active_count == (combi and 2 or 1) then
        boostcharge(player1)
        boostcharge(player2)
    end
end)
