-- Random bits of duplicate code merged into one script

-- globalize, and deal with clients that don't expose new colors in dehacked
do
    local i = 101
    local colornames = {
        "SKINCOLOR_BONE",
        "SKINCOLOR_CARBON",
        "SKINCOLOR_INK",
        "SKINCOLOR_GHOST",
        "SKINCOLOR_MARBLE",
        "SKINCOLOR_BLUEBELL",
        "SKINCOLOR_CHOCOLATE",
        "SKINCOLOR_TAN",
        "SKINCOLOR_PEACHY",
        "SKINCOLOR_QUAIL",
        "SKINCOLOR_LANTERN",
        "SKINCOLOR_APRICOT",
        "SKINCOLOR_SANDY",
        "SKINCOLOR_BANANA",
        "SKINCOLOR_SUNFLOWER",
        "SKINCOLOR_OLIVINE",
        "SKINCOLOR_PERIDOT",
        "SKINCOLOR_APPLE",
        "SKINCOLOR_SEAFOAM",
        "SKINCOLOR_FOREST",
        "SKINCOLOR_TOPAZ",
        "SKINCOLOR_FROST",
        "SKINCOLOR_WAVE",
        "SKINCOLOR_ICY",
        "SKINCOLOR_PEACOCK",
        "SKINCOLOR_VAPOR",
        "SKINCOLOR_GEMSTONE",
        "SKINCOLOR_NEON",
        "SKINCOLOR_PLUM",
        "SKINCOLOR_VIOLET",
        "SKINCOLOR_MAGENTA",
        "SKINCOLOR_THISTLE",
        "SKINCOLOR_DIAMOND",
        "SKINCOLOR_RAVEN",
        "SKINCOLOR_MUD",
        "SKINCOLOR_EARTHWORM",
        "SKINCOLOR_YOGURT",
        "SKINCOLOR_PEARL",
        "SKINCOLOR_STRAWBERRY",
        "SKINCOLOR_SODA",
        "SKINCOLOR_BLOODCELL",
        "SKINCOLOR_MAHOGANY",
        "SKINCOLOR_FIERY",
        "SKINCOLOR_SPICE",
        "SKINCOLOR_KING",
        "SKINCOLOR_HOTDOG",
        "SKINCOLOR_CARNATION",
        "SKINCOLOR_CANDY",
        "SKINCOLOR_NEBULA",
        "SKINCOLOR_STEAMPUNK",
        "SKINCOLOR_AMBER",
        "SKINCOLOR_CARROT",
        "SKINCOLOR_CHEESE",
        "SKINCOLOR_DUNE",
        "SKINCOLOR_BRASS",
        "SKINCOLOR_CITRINE",
        "SKINCOLOR_LEMON",
        "SKINCOLOR_CASKET",
        "SKINCOLOR_KHAKI",
        "SKINCOLOR_LIGHT",
        "SKINCOLOR_PEPPERMINT",
        "SKINCOLOR_LASER",
        "SKINCOLOR_ASPARAGUS",
        "SKINCOLOR_ARMY",
        "SKINCOLOR_CROW",
        "SKINCOLOR_CHARTEUSE",
        "SKINCOLOR_SLIME",
        "SKINCOLOR_LEAF",
        "SKINCOLOR_JUNGLE",
        "SKINCOLOR_EVERGREEN",
        "SKINCOLOR_TROPIC",
        "SKINCOLOR_IGUANA",
        "SKINCOLOR_SPEARMINT",
        "SKINCOLOR_PATINA",
        "SKINCOLOR_LAKESIDE",
        "SKINCOLOR_ELECTRIC",
        "SKINCOLOR_TURQUOISE",
        "SKINCOLOR_PEGASUS",
        "SKINCOLOR_PLASMA",
        "SKINCOLOR_COMET",
        "SKINCOLOR_LIGHTNING",
        "SKINCOLOR_VACATION",
        "SKINCOLOR_ULTRAMARINE",
        "SKINCOLOR_DEPTHS",
        "SKINCOLOR_DIANNE",
        "SKINCOLOR_EXOTIC",
        "SKINCOLOR_SNOW",
        "SKINCOLOR_MOON",
        "SKINCOLOR_LUNAR",
        "SKINCOLOR_ONYX",
        "SKINCOLOR_LAPIS",
        "SKINCOLOR_ORCA",
        "SKINCOLOR_STORM",
        "SKINCOLOR_MIDNIGHT",
        "SKINCOLOR_COTTONCANDY",
        "SKINCOLOR_CYBER",
        "SKINCOLOR_AMETHYST",
        "SKINCOLOR_IRIS",
        "SKINCOLOR_GOTHIC",
        "SKINCOLOR_GRAPE",
        "SKINCOLOR_INDIGO",
        "SKINCOLOR_SAKURA",
        "SKINCOLOR_DISCO",
        "SKINCOLOR_MULBERRY",
        "SKINCOLOR_BOYSENBERRY",
        "SKINCOLOR_MYSTIC",
        "SKINCOLOR_WICKED",
    }

    for _, name in ipairs(colornames) do
        rawset(_G, name, i)
        i = i + 1
    end
end

-- skin color to chat color
rawset(_G, "SG_Color2Chat", {
	[SKINCOLOR_NONE] = "\x80",
	[SKINCOLOR_WHITE] = "\x80",
	[SKINCOLOR_SILVER] = "\x80",
	[SKINCOLOR_SLATE] = "\x80",
	[SKINCOLOR_ULTRAVIOLET] = "\x81",
	[SKINCOLOR_PURPLE] = "\x81",
	[SKINCOLOR_FUCHSIA] = "\x81",
	[SKINCOLOR_POPCORN] = "\x82",
	[SKINCOLOR_QUARRY] = "\x82",
	[SKINCOLOR_YELLOW] = "\x82",
	[SKINCOLOR_MUSTARD] = "\x82",
	[SKINCOLOR_CROCODILE] = "\x82",
	[SKINCOLOR_OLIVE] = "\x82",
	[SKINCOLOR_LIME] = "\x83",
	[SKINCOLOR_HANDHELD] = "\x83",
	[SKINCOLOR_MOSS] = "\x83",
	[SKINCOLOR_CAMOUFLAGE] = "\x83",
	[SKINCOLOR_ROBOHOOD] = "\x83",
	[SKINCOLOR_MINT] = "\x83",
	[SKINCOLOR_GREEN] = "\x83",
	[SKINCOLOR_PINETREE] = "\x83",
	[SKINCOLOR_ALGAE] = "\x83",
	[SKINCOLOR_PLAGUE] = "\x83",
	[SKINCOLOR_EMERALD] = "\x83",
	[SKINCOLOR_SWAMP] = "\x83",
	[SKINCOLOR_DREAM] = "\x83",
	[SKINCOLOR_PERIWINKLE] = "\x84",
	[SKINCOLOR_BLUE] = "\x84",
	[SKINCOLOR_BLUEBERRY] = "\x84",
	[SKINCOLOR_NOVA] = "\x84",
	[SKINCOLOR_CINNAMON] = "\x85",
	[SKINCOLOR_RUBY] = "\x85",
	[SKINCOLOR_RASPBERRY] = "\x85",
	[SKINCOLOR_CHERRY] = "\x85",
	[SKINCOLOR_RED] = "\x85",
	[SKINCOLOR_CRIMSON] = "\x85",
	[SKINCOLOR_MAROON] = "\x85",
	[SKINCOLOR_FLAME] = "\x85",
	[SKINCOLOR_SCARLET] = "\x85",
	[SKINCOLOR_KETCHUP] = "\x85",
	[SKINCOLOR_GREY] = "\x86",
	[SKINCOLOR_NICKEL] = "\x86",
	[SKINCOLOR_BLACK] = "\x86",
	[SKINCOLOR_SKUNK] = "\x86",
	[SKINCOLOR_JET] = "\x86",
	[SKINCOLOR_DAWN] = "\x87",
	[SKINCOLOR_SUNSET] = "\x87",
	[SKINCOLOR_CREAMSICLE] = "\x87",
	[SKINCOLOR_ORANGE] = "\x87",
	[SKINCOLOR_PUMPKIN] = "\x87",
	[SKINCOLOR_ROSEWOOD] = "\x87",
	[SKINCOLOR_BURGUNDY] = "\x87",
	[SKINCOLOR_TANGERINE] = "\x87",
	[SKINCOLOR_CARIBBEAN] = "\x88",
	[SKINCOLOR_AZURE] = "\x88",
	[SKINCOLOR_AQUA] = "\x88",
	[SKINCOLOR_TEAL] = "\x88",
	[SKINCOLOR_CYAN] = "\x88",
	[SKINCOLOR_JAWZ] = "\x88",
	[SKINCOLOR_CERULEAN] = "\x88",
	[SKINCOLOR_NAVY] = "\x88",
	[SKINCOLOR_SAPPHIRE] = "\x88",
	[SKINCOLOR_PASTEL] = "\x89",
	[SKINCOLOR_MOONSLAM] = "\x89",
	[SKINCOLOR_DUSK] = "\x89",
	[SKINCOLOR_TOXIC] = "\x89",
	[SKINCOLOR_MAUVE] = "\x89",
	[SKINCOLOR_LAVENDER] = "\x89",
	[SKINCOLOR_BYZANTIUM] = "\x89",
	[SKINCOLOR_POMEGRANATE] = "\x89",
	[SKINCOLOR_GOLD] = "\x8a",
	[SKINCOLOR_ROYAL] = "\x8a",
	[SKINCOLOR_BRONZE] = "\x8a",
	[SKINCOLOR_COPPER] = "\x8a",
	[SKINCOLOR_THUNDER] = "\x8a",
	[SKINCOLOR_ARTICHOKE] = "\x8b",
	[SKINCOLOR_VOMIT] = "\x8b",
	[SKINCOLOR_GARDEN] = "\x8b",
	[SKINCOLOR_TEA] = "\x8b",
	[SKINCOLOR_PISTACHIO] = "\x8b",
	[SKINCOLOR_PIGEON] = "\x8c",
	[SKINCOLOR_PLATINUM] = "\x8c",
	[SKINCOLOR_STEEL] = "\x8c",
	[SKINCOLOR_FAIRY] = "\x8d",
	[SKINCOLOR_SALMON] = "\x8d",
	[SKINCOLOR_PINK] = "\x8d",
	[SKINCOLOR_ROSE] = "\x8d",
	[SKINCOLOR_BRICK] = "\x8d",
	[SKINCOLOR_LEMONADE] = "\x8d",
	[SKINCOLOR_BUBBLEGUM] = "\x8d",
	[SKINCOLOR_LILAC] = "\x8d",
	[SKINCOLOR_SEPIA] = "\x8e",
	[SKINCOLOR_BEIGE] = "\x8e",
	[SKINCOLOR_WALNUT] = "\x8e",
	[SKINCOLOR_BROWN] = "\x8e",
	[SKINCOLOR_LEATHER] = "\x8e",
	[SKINCOLOR_RUST] = "\x8e",
	[SKINCOLOR_WRISTWATCH] = "\x8e",
	[SKINCOLOR_PEACH] = "\x8f",
	[SKINCOLOR_CARAMEL] = "\x8f",
	[SKINCOLOR_CREAM] = "\x8f",

	[SKINCOLOR_BONE] = "\x80",
	[SKINCOLOR_GHOST] = "\x80",
	[SKINCOLOR_DIAMOND] = "\x80",
	[SKINCOLOR_SNOW] = "\x80",
	[SKINCOLOR_ORCA] = "\x80",
	[SKINCOLOR_GEMSTONE] = "\x81",
	[SKINCOLOR_NEON] = "\x81",
	[SKINCOLOR_PLUM] = "\x81",
	[SKINCOLOR_GRAPE] = "\x81",
	[SKINCOLOR_INDIGO] = "\x81",
	[SKINCOLOR_DISCO] = "\x81",
	[SKINCOLOR_MYSTIC] = "\x81",
	[SKINCOLOR_BANANA] = "\x82",
	[SKINCOLOR_LEMON] = "\x82",
	[SKINCOLOR_CITRINE] = "\x82",
	[SKINCOLOR_MOON] = "\x82",
	[SKINCOLOR_FOREST] = "\x83",
	[SKINCOLOR_CASKET] = "\x83",
	[SKINCOLOR_KHAKI] = "\x83",
	[SKINCOLOR_LASER] = "\x83",
	[SKINCOLOR_ASPARAGUS] = "\x83",
	[SKINCOLOR_CROW] = "\x83",
	[SKINCOLOR_SLIME] = "\x83",
	[SKINCOLOR_LEAF] = "\x83",
	[SKINCOLOR_JUNGLE] = "\x83",
	[SKINCOLOR_TROPIC] = "\x83",
	[SKINCOLOR_IGUANA] = "\x83",
	[SKINCOLOR_VACATION] = "\x83",
	[SKINCOLOR_PEACOCK] = "\x84",
	[SKINCOLOR_VAPOR] = "\x84",
	[SKINCOLOR_LAKESIDE] = "\x84",
	[SKINCOLOR_TURQUOISE] = "\x84",
	[SKINCOLOR_ULTRAMARINE] = "\x84",
	[SKINCOLOR_DEPTHS] = "\x84",
	[SKINCOLOR_LAPIS] = "\x84",
	[SKINCOLOR_MIDNIGHT] = "\x84",
	[SKINCOLOR_STRAWBERRY] = "\x85",
	[SKINCOLOR_SODA] = "\x85",
	[SKINCOLOR_BLOODCELL] = "\x85",
	[SKINCOLOR_MAHOGANY] = "\x85",
	[SKINCOLOR_BOYSENBERRY] = "\x85",
	[SKINCOLOR_CARBON] = "\x86",
	[SKINCOLOR_INK] = "\x86",
	[SKINCOLOR_RAVEN] = "\x86",
	[SKINCOLOR_APRICOT] = "\x87",
	[SKINCOLOR_FIERY] = "\x87",
	[SKINCOLOR_AMBER] = "\x87",
	[SKINCOLOR_TOPAZ] = "\x88",
	[SKINCOLOR_FROST] = "\x88",
	[SKINCOLOR_WAVE] = "\x88",
	[SKINCOLOR_ICY] = "\x88",
	[SKINCOLOR_EVERGREEN] = "\x88",
	[SKINCOLOR_PATINA] = "\x88",
	[SKINCOLOR_ELECTRIC] = "\x88",
	[SKINCOLOR_PEGASUS] = "\x88",
	[SKINCOLOR_PLASMA] = "\x88",
	[SKINCOLOR_COMET] = "\x88",
	[SKINCOLOR_LIGHTNING] = "\x88",
	[SKINCOLOR_COTTONCANDY] = "\x88",
	[SKINCOLOR_VIOLET] = "\x89",
	[SKINCOLOR_NEBULA] = "\x89",
	[SKINCOLOR_CYBER] = "\x89",
	[SKINCOLOR_AMETHYST] = "\x89",
	[SKINCOLOR_IRIS] = "\x89",
	[SKINCOLOR_LANTERN] = "\x8a",
	[SKINCOLOR_SANDY] = "\x8a",
	[SKINCOLOR_SPICE] = "\x8a",
	[SKINCOLOR_KING] = "\x8a",
	[SKINCOLOR_HOTDOG] = "\x8a",
	[SKINCOLOR_BRASS] = "\x8a",
	[SKINCOLOR_SUNFLOWER] = "\x8b",
    [SKINCOLOR_OLIVINE] = "\x8b",
	[SKINCOLOR_PERIDOT] = "\x8b",
	[SKINCOLOR_APPLE] = "\x8b",
	[SKINCOLOR_SEAFOAM] = "\x8b",
	[SKINCOLOR_CARROT] = "\x8b",
	[SKINCOLOR_LIGHT] = "\x8b",
	[SKINCOLOR_PEPPERMINT] = "\x8b",
	[SKINCOLOR_ARMY] = "\x8b",
	[SKINCOLOR_CHARTEUSE] = "\x8b",
	[SKINCOLOR_SPEARMINT] = "\x8b",
	[SKINCOLOR_MARBLE] = "\x8c",
	[SKINCOLOR_BLUEBELL] = "\x8c",
	[SKINCOLOR_DIANNE] = "\x8c",
	[SKINCOLOR_LUNAR] = "\x8c",
	[SKINCOLOR_ONYX] = "\x8c",
	[SKINCOLOR_STORM] = "\x8c",
	[SKINCOLOR_GOTHIC] = "\x8c",
	[SKINCOLOR_WICKED] = "\x8c",
	[SKINCOLOR_MAGENTA] = "\x8d",
	[SKINCOLOR_THISTLE] = "\x8d",
	[SKINCOLOR_EARTHWORM] = "\x8d",
	[SKINCOLOR_YOGURT] = "\x8d",
	[SKINCOLOR_PEARL] = "\x8d",
	[SKINCOLOR_CARNATION] = "\x8d",
	[SKINCOLOR_CANDY] = "\x8d",
	[SKINCOLOR_SAKURA] = "\x8d",
	[SKINCOLOR_MULBERRY] = "\x8d",
	[SKINCOLOR_CHOCOLATE] = "\x8e",
	[SKINCOLOR_TAN] = "\x8e",
	[SKINCOLOR_MUD] = "\x8e",
	[SKINCOLOR_STEAMPUNK] = "\x8e",
	[SKINCOLOR_CHEESE] = "\x8e",
	[SKINCOLOR_DUNE] = "\x8e",
	[SKINCOLOR_PEACHY] = "\x8f",
	[SKINCOLOR_QUAIL] = "\x8f",
	[SKINCOLOR_EXOTIC] = "\x8f",
})

-- i hate myself for doing this
rawset(_G, "SG_Translations", {
	[SKINCOLOR_NONE] = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	[SKINCOLOR_WHITE] = {120, 120, 120, 120, 0, 2, 5, 8, 9, 11, 14, 17, 20, 22, 25, 28},
	[SKINCOLOR_SILVER] = {0, 1, 2, 3, 5, 7, 9, 12, 13, 15, 18, 20, 23, 25, 27, 30},
	[SKINCOLOR_GREY] = {1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31},
	[SKINCOLOR_NICKEL] = {3, 5, 8, 11, 15, 17, 19, 21, 23, 24, 25, 26, 27, 29, 30, 31},
	[SKINCOLOR_BLACK] = {4, 7, 11, 15, 20, 22, 24, 27, 28, 28, 28, 29, 29, 30, 30, 31},
	[SKINCOLOR_SKUNK] = {120, 120, 0, 2, 4, 10, 16, 22, 23, 24, 25, 26, 27, 28, 29, 31},
	[SKINCOLOR_FAIRY] = {120, 120, 121, 121, 122, 123, 10, 14, 16, 18, 20, 22, 24, 26, 28, 31},
	[SKINCOLOR_POPCORN] = {120, 96, 97, 98, 99, 71, 32, 11, 13, 16, 18, 21, 23, 26, 28, 31},
	[SKINCOLOR_ARTICHOKE] = {97, 176, 177, 162, 163, 179, 12, 14, 16, 18, 20, 22, 24, 26, 28, 31},
	[SKINCOLOR_PIGEON] = {0, 208, 209, 211, 226, 202, 14, 15, 17, 19, 21, 23, 25, 27, 29, 31},
	[SKINCOLOR_SEPIA] = {0, 1, 3, 5, 7, 9, 34, 36, 38, 40, 42, 44, 60, 61, 62, 63},
	[SKINCOLOR_BEIGE] = {120, 65, 67, 69, 32, 34, 36, 38, 40, 42, 44, 45, 46, 47, 62, 63},
	[SKINCOLOR_WALNUT] = {3, 6, 32, 33, 35, 37, 51, 52, 54, 55, 57, 58, 60, 61, 63, 30},
	[SKINCOLOR_BROWN] = {67, 70, 73, 76, 48, 49, 51, 53, 54, 56, 58, 59, 61, 63, 29, 30},
	[SKINCOLOR_LEATHER] = {72, 76, 48, 51, 53, 55, 57, 59, 61, 63, 28, 28, 29, 29, 30, 31},
	[SKINCOLOR_SALMON] = {120, 120, 120, 121, 121, 122, 123, 124, 126, 127, 129, 131, 133, 135, 137, 139},
	[SKINCOLOR_PINK] = {120, 121, 121, 122, 144, 145, 146, 147, 148, 149, 150, 151, 134, 136, 138, 140},
	[SKINCOLOR_ROSE] = {144, 145, 146, 147, 148, 149, 150, 151, 134, 135, 136, 137, 138, 139, 140, 141},
	[SKINCOLOR_BRICK] = {64, 67, 70, 73, 146, 147, 148, 150, 118, 118, 119, 119, 156, 159, 141, 143},
	[SKINCOLOR_CINNAMON] = {68, 75, 48, 50, 52, 94, 152, 136, 137, 138, 139, 140, 141, 142, 143, 31},
	[SKINCOLOR_RUBY] = {120, 121, 144, 145, 147, 149, 132, 133, 134, 136, 198, 198, 199, 255, 30, 31},
	[SKINCOLOR_RASPBERRY] = {120, 121, 122, 123, 124, 125, 126, 127, 128, 130, 131, 134, 136, 137, 139, 140},
	[SKINCOLOR_CHERRY] = {120, 65, 67, 69, 71, 124, 125, 127, 132, 133, 135, 136, 138, 139, 140, 141},
	[SKINCOLOR_RED] = {122, 123, 124, 126, 129, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142},
	[SKINCOLOR_CRIMSON] = {123, 125, 128, 131, 133, 135, 136, 138, 140, 140, 141, 141, 142, 142, 143, 31},
	[SKINCOLOR_MAROON] = {123, 124, 126, 128, 132, 135, 137, 27, 28, 28, 28, 29, 29, 30, 30, 31},
	[SKINCOLOR_LEMONADE] = {120, 96, 97, 98, 99, 65, 122, 144, 123, 124, 147, 149, 151, 153, 156, 159},
	[SKINCOLOR_FLAME] = {120, 97, 112, 113, 113, 85, 87, 126, 149, 150, 151, 252, 253, 254, 255, 29},
	[SKINCOLOR_SCARLET] = {99, 113, 113, 84, 85, 87, 126, 128, 130, 196, 197, 198, 199, 240, 243, 246},
	[SKINCOLOR_KETCHUP] = {103, 113, 113, 84, 85, 88, 127, 130, 131, 133, 134, 136, 138, 139, 141, 143},
	[SKINCOLOR_DAWN] = {120, 121, 122, 123, 124, 147, 148, 91, 93, 95, 152, 154, 156, 159, 141, 143},
	[SKINCOLOR_SUNSET] = {98, 112, 113, 84, 85, 87, 89, 149, 150, 251, 251, 205, 206, 207, 29, 31},
	[SKINCOLOR_CREAMSICLE] = {120, 120, 80, 80, 81, 82, 83, 83, 84, 85, 86, 88, 89, 91, 93, 95},
	[SKINCOLOR_ORANGE] = {80, 81, 82, 83, 84, 85, 86, 88, 89, 91, 94, 95, 154, 156, 158, 159},
	[SKINCOLOR_PUMPKIN] = {82, 83, 84, 85, 87, 89, 90, 92, 94, 152, 153, 155, 157, 159, 141, 142},
	[SKINCOLOR_ROSEWOOD] = {83, 85, 88, 90, 92, 94, 152, 153, 154, 156, 157, 159, 140, 141, 142, 143},
	[SKINCOLOR_BURGUNDY] = {84, 86, 89, 91, 152, 154, 155, 157, 158, 159, 140, 141, 142, 143, 31, 31},
	[SKINCOLOR_TANGERINE] = {98, 98, 112, 112, 113, 113, 84, 85, 87, 89, 91, 93, 95, 153, 156, 159},
	[SKINCOLOR_PEACH] = {120, 80, 66, 70, 72, 76, 148, 149, 150, 151, 153, 154, 156, 61, 62, 63},
	[SKINCOLOR_CARAMEL] = {64, 66, 68, 70, 72, 74, 76, 78, 48, 50, 52, 54, 56, 58, 60, 62},
	[SKINCOLOR_CREAM] = {120, 96, 96, 97, 98, 82, 84, 77, 50, 54, 57, 59, 61, 63, 29, 31},
	[SKINCOLOR_GOLD] = {96, 97, 98, 112, 113, 114, 115, 116, 117, 151, 118, 119, 157, 159, 140, 143},
	[SKINCOLOR_ROYAL] = {97, 112, 113, 113, 114, 78, 53, 252, 252, 253, 253, 254, 255, 29, 30, 31},
	[SKINCOLOR_BRONZE] = {112, 113, 114, 115, 116, 117, 118, 119, 156, 157, 158, 159, 141, 141, 142, 143},
	[SKINCOLOR_COPPER] = {120, 99, 113, 114, 116, 117, 119, 61, 63, 28, 28, 29, 29, 30, 30, 31},
	[SKINCOLOR_QUARRY] = {96, 97, 98, 99, 104, 105, 106, 107, 117, 152, 154, 156, 159, 141, 142, 143},
	[SKINCOLOR_YELLOW] = {96, 97, 98, 100, 101, 102, 104, 113, 114, 115, 116, 117, 118, 119, 156, 159},
	[SKINCOLOR_MUSTARD] = {96, 98, 99, 112, 113, 114, 114, 106, 106, 107, 107, 108, 108, 109, 110, 111},
	[SKINCOLOR_CROCODILE] = {120, 96, 97, 98, 176, 113, 114, 106, 115, 107, 108, 109, 110, 174, 175, 31},
	[SKINCOLOR_OLIVE] = {98, 101, 104, 105, 106, 115, 107, 108, 182, 109, 183, 110, 174, 111, 30, 31},
	[SKINCOLOR_VOMIT] = {0, 121, 122, 144, 71, 84, 114, 115, 107, 108, 109, 183, 223, 207, 30, 246},
	[SKINCOLOR_GARDEN] = {98, 99, 112, 101, 113, 114, 106, 179, 180, 180, 181, 182, 183, 173, 174, 175},
	[SKINCOLOR_LIME] = {120, 96, 97, 98, 99, 176, 177, 163, 164, 166, 168, 170, 223, 207, 243, 31},
	[SKINCOLOR_HANDHELD] = {98, 104, 105, 105, 106, 167, 168, 169, 170, 171, 172, 173, 174, 175, 30, 31},
	[SKINCOLOR_TEA] = {120, 120, 176, 176, 176, 177, 177, 178, 178, 179, 179, 180, 180, 181, 182, 183},
	[SKINCOLOR_PISTACHIO] = {120, 120, 176, 176, 177, 177, 178, 179, 165, 166, 167, 168, 169, 170, 171, 172},
	[SKINCOLOR_MOSS] = {178, 178, 178, 179, 179, 180, 181, 182, 183, 172, 172, 173, 173, 174, 174, 175},
	[SKINCOLOR_CAMOUFLAGE] = {64, 66, 69, 32, 34, 37, 40, 182, 171, 172, 172, 173, 173, 174, 174, 175},
	[SKINCOLOR_ROBOHOOD] = {120, 176, 160, 165, 167, 168, 169, 182, 182, 171, 60, 61, 63, 29, 30, 31},
	[SKINCOLOR_MINT] = {120, 176, 176, 176, 177, 163, 164, 165, 167, 221, 221, 222, 223, 207, 207, 31},
	[SKINCOLOR_GREEN] = {160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175},
	[SKINCOLOR_PINETREE] = {161, 163, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 30, 30, 31},
	[SKINCOLOR_EMERALD] = {160, 184, 184, 185, 185, 186, 186, 187, 187, 188, 188, 189, 189, 190, 191, 175},
	[SKINCOLOR_SWAMP] = {160, 184, 185, 186, 187, 188, 189, 190, 191, 191, 29, 29, 30, 30, 31, 31},
	[SKINCOLOR_DREAM] = {120, 120, 80, 80, 81, 177, 162, 164, 228, 228, 204, 204, 205, 205, 206, 207},
	[SKINCOLOR_PLAGUE] = {97, 176, 160, 184, 185, 186, 187, 229, 229, 205, 206, 207, 28, 29, 30, 31},
	[SKINCOLOR_ALGAE] = {208, 209, 210, 211, 213, 220, 216, 167, 168, 188, 188, 189, 190, 191, 30, 31},
	[SKINCOLOR_CARIBBEAN] = {120, 176, 177, 160, 185, 220, 216, 217, 229, 229, 204, 205, 206, 254, 255, 31},
	[SKINCOLOR_AZURE] = {120, 96, 97, 98, 177, 220, 216, 217, 218, 204, 252, 253, 254, 255, 30, 31},
	[SKINCOLOR_AQUA] = {120, 208, 208, 210, 212, 214, 220, 220, 220, 221, 221, 222, 222, 223, 223, 191},
	[SKINCOLOR_TEAL] = {210, 213, 220, 220, 220, 216, 216, 221, 221, 221, 222, 222, 223, 223, 191, 31},
	[SKINCOLOR_CYAN] = {120, 120, 208, 208, 209, 210, 211, 212, 213, 215, 216, 217, 218, 219, 222, 223},
	[SKINCOLOR_JAWZ] = {120, 120, 208, 209, 210, 226, 215, 216, 217, 229, 229, 205, 205, 206, 207, 31},
	[SKINCOLOR_CERULEAN] = {208, 209, 211, 213, 215, 216, 216, 217, 217, 218, 218, 219, 205, 206, 207, 207},
	[SKINCOLOR_NAVY] = {211, 212, 213, 215, 216, 218, 219, 205, 206, 206, 207, 207, 28, 29, 30, 31},
	[SKINCOLOR_PLATINUM] = {120, 0, 0, 200, 200, 201, 11, 14, 17, 218, 222, 223, 238, 240, 243, 246},
	[SKINCOLOR_SLATE] = {120, 120, 200, 200, 200, 201, 201, 201, 202, 202, 202, 203, 204, 205, 206, 207},
	[SKINCOLOR_STEEL] = {120, 200, 200, 201, 201, 202, 202, 203, 203, 204, 204, 205, 205, 206, 207, 31},
	[SKINCOLOR_THUNDER] = {96, 97, 98, 112, 113, 114, 11, 203, 204, 205, 205, 237, 239, 241, 243, 246},
	[SKINCOLOR_RUST] = {64, 66, 68, 70, 32, 34, 36, 203, 204, 205, 24, 25, 26, 28, 29, 31},
	[SKINCOLOR_WRISTWATCH] = {81, 72, 76, 48, 51, 55, 252, 205, 205, 206, 240, 241, 242, 243, 244, 246},
	[SKINCOLOR_JET] = {225, 226, 227, 228, 229, 205, 205, 206, 207, 207, 28, 28, 29, 29, 30, 31},
	[SKINCOLOR_SAPPHIRE] = {208, 209, 211, 213, 215, 217, 229, 230, 232, 234, 236, 238, 240, 242, 244, 246},
	[SKINCOLOR_PERIWINKLE] = {120, 120, 224, 225, 226, 202, 227, 228, 229, 230, 231, 233, 235, 237, 239, 241},
	[SKINCOLOR_BLUE] = {224, 225, 226, 227, 228, 229, 230, 231, 232, 233, 235, 236, 238, 242, 244, 246},
	[SKINCOLOR_BLUEBERRY] = {226, 228, 229, 230, 232, 233, 235, 237, 239, 240, 242, 244, 246, 31, 31, 31},
	[SKINCOLOR_NOVA] = {120, 112, 82, 83, 84, 124, 248, 228, 228, 204, 205, 206, 207, 29, 30, 31},
	[SKINCOLOR_PASTEL] = {120, 208, 209, 210, 211, 226, 202, 249, 194, 195, 196, 197, 198, 199, 255, 30},
	[SKINCOLOR_MOONSLAM] = {120, 224, 201, 226, 202, 249, 250, 196, 197, 198, 199, 140, 141, 142, 143, 31},
	[SKINCOLOR_ULTRAVIOLET] = {120, 64, 81, 122, 192, 249, 203, 221, 221, 219, 219, 223, 223, 191, 191, 31},
	[SKINCOLOR_DUSK] = {121, 145, 192, 249, 250, 251, 204, 204, 205, 205, 206, 206, 207, 29, 30, 31},
	[SKINCOLOR_BUBBLEGUM] = {120, 96, 64, 121, 67, 144, 123, 192, 193, 194, 195, 196, 197, 198, 199, 30},
	[SKINCOLOR_PURPLE] = {121, 145, 192, 192, 193, 194, 195, 196, 196, 197, 197, 198, 198, 199, 30, 31},
	[SKINCOLOR_FUCHSIA] = {120, 122, 124, 125, 126, 150, 196, 197, 198, 198, 199, 199, 240, 242, 244, 246},
	[SKINCOLOR_TOXIC] = {120, 120, 176, 176, 177, 6, 8, 10, 249, 250, 196, 197, 198, 199, 143, 31},
	[SKINCOLOR_MAUVE] = {96, 97, 98, 112, 113, 73, 146, 248, 249, 251, 205, 205, 206, 207, 29, 31},
	[SKINCOLOR_LAVENDER] = {121, 145, 192, 248, 249, 250, 251, 252, 252, 253, 253, 254, 254, 255, 30, 31},
	[SKINCOLOR_BYZANTIUM] = {201, 248, 249, 250, 251, 252, 253, 254, 255, 255, 29, 29, 30, 30, 31, 31},
	[SKINCOLOR_POMEGRANATE] = {144, 145, 146, 147, 148, 149, 150, 251, 251, 252, 252, 253, 254, 255, 29, 30},
	[SKINCOLOR_LILAC] = {120, 120, 120, 121, 121, 122, 122, 123, 192, 248, 249, 250, 251, 252, 253, 254},

	[SKINCOLOR_BONE] = {120, 120, 0, 1, 3, 5, 7, 10, 12, 14, 16, 19, 22, 24, 26, 29},
	[SKINCOLOR_CARBON] = {3, 6, 10, 13, 17, 20, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31},
	[SKINCOLOR_INK] = {0, 2, 5, 10, 15, 20, 25, 26, 27, 28, 30, 30, 30, 31, 31, 31},
	[SKINCOLOR_GHOST] = {120, 120, 0, 1, 1, 224, 225, 225, 226, 202, 203, 204, 205, 206, 207, 29},
	[SKINCOLOR_MARBLE] = {120, 1, 4, 6, 8, 10, 202, 202, 203, 203, 204, 204, 205, 205, 206, 207},
	[SKINCOLOR_BLUEBELL] = {224, 225, 226, 227, 228, 228, 229, 204, 204, 205, 205, 198, 198, 199, 241, 244},
	[SKINCOLOR_CHOCOLATE] = {77, 48, 49, 52, 55, 57, 59, 60, 61, 25, 26, 27, 28, 29, 30, 31},
	[SKINCOLOR_TAN] = {96, 98, 81, 82, 83, 75, 77, 37, 38, 40, 42, 44, 59, 60, 61, 62},
	[SKINCOLOR_PEACHY] = {64, 66, 68, 82, 83, 72, 74, 146, 147, 148, 149, 150, 151, 135, 137, 139},
	[SKINCOLOR_QUAIL] = {68, 70, 72, 74, 76, 78, 148, 149, 251, 252, 253, 254, 255, 29, 30, 31},
	[SKINCOLOR_LANTERN] = {0, 176, 113, 84, 86, 89, 92, 94, 153, 154, 136, 137, 138, 199, 255, 31},
	[SKINCOLOR_APRICOT] = {66, 68, 70, 71, 73, 84, 85, 86, 87, 88, 90, 92, 93, 94, 153, 155},
	[SKINCOLOR_SANDY] = {112, 113, 114, 115, 116, 54, 56, 57, 58, 59, 60, 254, 254, 255, 255, 244},
	[SKINCOLOR_BANANA] = {96, 98, 99, 100, 102, 103, 113, 105, 106, 107, 108, 109, 183, 110, 63, 111},
	[SKINCOLOR_SUNFLOWER] = {97, 98, 99, 112, 113, 105, 106, 107, 107, 108, 170, 171, 172, 173, 174, 175},
    [SKINCOLOR_OLIVINE] = {120,  97,  97, 176, 176, 160, 160, 184, 184, 185, 185, 186, 187, 188, 189, 190},
	[SKINCOLOR_PERIDOT] = {176, 176, 177, 105 ,105, 106, 106, 107, 107, 108, 182, 182, 183, 183, 173, 191},
	[SKINCOLOR_APPLE] = {99, 101, 113, 105, 106, 107, 107, 168, 169, 170, 171, 171, 172, 173, 174, 175},
	[SKINCOLOR_SEAFOAM] = {120, 97, 176, 177, 178, 179, 180, 221, 222, 222, 223, 223, 240, 242, 244, 31},
	[SKINCOLOR_FOREST] = {164, 166, 167, 168, 169, 170, 171, 172, 173, 174, 174, 175, 175, 31, 31, 31},
	[SKINCOLOR_TOPAZ] = {120, 208, 209, 211, 211, 161, 161, 162, 162, 163, 163, 165, 167, 169, 171, 173},
    [SKINCOLOR_FROST] = {120,   0, 208, 247, 247, 211, 213, 220, 216, 217, 221, 222, 223, 173, 174, 175},
	[SKINCOLOR_WAVE] = {120, 208, 210, 213, 215, 216, 217, 218, 219, 205, 198, 198, 199, 199, 207, 243},
	[SKINCOLOR_ICY] = {120, 120, 120, 120, 208, 210, 213, 214, 215, 216, 229, 229, 204, 205, 206, 207},
	[SKINCOLOR_PEACOCK] = {214, 215, 216, 217, 218, 219, 219, 223, 223, 173, 240, 241, 243, 244, 245, 246},
	[SKINCOLOR_VAPOR] = {209, 211, 212, 213, 214, 215, 227, 228, 229, 204, 197, 197, 198, 198, 199, 255},
	[SKINCOLOR_GEMSTONE] = {224, 225, 226, 227, 228, 229, 204, 196, 197, 197, 198, 198, 199, 255, 142, 31},
	[SKINCOLOR_NEON] = {192, 193, 194, 195, 196, 197, 197, 198, 198, 199, 199, 255, 255, 29, 30, 31},
	[SKINCOLOR_PLUM] = {145, 147, 148, 149, 150, 151, 197, 197, 198, 198, 199, 199, 140, 141, 142, 143},
	[SKINCOLOR_VIOLET] = {64, 122, 123, 146, 147, 149, 151, 196, 197, 198, 198, 199, 199, 241, 243, 245},
	[SKINCOLOR_MAGENTA] = {120, 121, 122, 123, 124, 125, 149, 150, 151, 197, 197, 198, 198, 199, 140, 141},
	[SKINCOLOR_THISTLE] = {64, 66, 122, 123, 146, 147, 249, 250, 250, 251, 252, 253, 254, 255, 244, 246},
	[SKINCOLOR_DIAMOND] = {120, 1, 2, 3, 225, 226, 202, 14, 16, 18, 20, 22, 24, 26, 28, 30},
	[SKINCOLOR_RAVEN] = {224, 225, 226, 202, 37, 39, 19, 21, 23, 25, 27, 28, 29, 29, 30, 31},
	[SKINCOLOR_MUD] = {34, 37, 39, 41, 43, 44, 45, 46, 47, 61, 62, 63, 28, 29, 30, 31},
	[SKINCOLOR_EARTHWORM] = {0, 121, 122, 145, 146, 147, 37, 38, 40, 42, 44, 46, 47, 62, 63, 174},
	[SKINCOLOR_YOGURT] = {0, 80, 65, 66, 68, 70, 145, 124, 147, 148, 149, 150, 151, 152, 154, 156},
	[SKINCOLOR_PEARL] = {120, 0, 0, 64, 64, 121, 67, 144, 145, 146, 147, 148, 149, 150, 151, 133},
	[SKINCOLOR_STRAWBERRY] = {120, 96, 97, 98, 176, 81, 144, 124, 126, 129, 132, 134, 136, 138, 139, 140},
	[SKINCOLOR_SODA] = {81, 82, 83, 74, 76, 88, 90, 130, 132, 134, 155, 158, 140, 141, 142, 143},
	[SKINCOLOR_BLOODCELL] = {145, 146, 148, 149, 150, 151, 133, 134, 135, 136, 138, 139, 140, 141, 142, 143},
	[SKINCOLOR_MAHOGANY] = {133, 134, 135, 136, 137, 138, 139, 139, 140, 141, 142, 142, 143, 143, 30, 31},
	[SKINCOLOR_FIERY] = {80, 81, 83, 85, 86, 88, 90, 130, 132, 133, 135, 137, 138, 140, 141, 142},
	[SKINCOLOR_SPICE] = {99, 101, 113, 114, 115, 116, 92, 93, 95, 153, 136, 138, 139, 140, 142, 143},
	[SKINCOLOR_KING] = {96, 97, 99, 176, 113, 114, 77, 149, 151, 153, 155, 157, 159, 140, 142, 31},
	[SKINCOLOR_HOTDOG] = {96, 97, 98, 100, 102, 113, 85, 87, 90, 130, 132, 134, 136, 138, 140, 142},
	[SKINCOLOR_CARNATION] = {96, 97, 98, 65, 122, 123, 124, 125, 148, 149, 251, 252, 253, 254, 255, 29},
	[SKINCOLOR_CANDY] = {81, 122, 123, 124, 125, 149, 150, 151, 252, 253, 254, 199, 255, 243, 245, 31},
	[SKINCOLOR_NEBULA] = {65, 122, 145, 248, 249, 250, 53, 55, 58, 60, 61, 199, 255, 29, 30, 31},
	[SKINCOLOR_STEAMPUNK] = {2, 4, 7, 32, 34, 78, 48, 90, 92, 94, 95, 153, 155, 157, 159, 140},
	[SKINCOLOR_AMBER] = {68, 72, 85, 87, 89, 91, 117, 117, 118, 118, 119, 156, 159, 140, 141, 143},
	[SKINCOLOR_CARROT] = {80, 67, 83, 84, 85, 77, 116, 108, 170, 171, 190, 173, 173, 174, 191, 175},
	[SKINCOLOR_CHEESE] = {80, 81, 82, 83, 84, 75, 78, 49, 52, 55, 57, 59, 60, 61, 62, 63},
	[SKINCOLOR_DUNE] = {120, 96, 80, 81, 82, 70, 72, 75, 79, 91, 93, 152, 154, 156, 158, 140},
	[SKINCOLOR_BRASS] = {96, 98, 112, 113, 114, 115, 116, 117, 118, 58, 59, 60, 61, 62, 63, 28},
	[SKINCOLOR_CITRINE] = {120, 97, 97, 176, 176, 176, 105, 105, 105, 106, 106, 107, 107, 108, 108, 182},
	[SKINCOLOR_LEMON] = {120, 120,  96,  96,  97,  98,  99, 100, 101, 113, 105, 106, 107, 108, 109, 110},
	[SKINCOLOR_CASKET] = {104, 105, 106, 107, 107, 108, 108, 182, 109, 183, 110, 63, 191, 111, 30, 31},
	[SKINCOLOR_KHAKI] = {65, 68, 70, 73, 32, 34, 36, 38, 108, 108, 182, 109, 183, 110, 174, 31},
	[SKINCOLOR_LIGHT] = {120, 96, 97, 98, 99, 100, 176, 177, 178, 179, 15, 18, 21, 24, 27, 29},
	[SKINCOLOR_PEPPERMINT] = {120, 120, 96, 96, 97, 176, 177, 178, 165, 167, 221, 222, 223, 173, 174, 175},
	[SKINCOLOR_LASER] = {96, 98, 100, 102, 104, 160, 184, 185, 186, 187, 188, 222, 223, 239, 242, 244},
	[SKINCOLOR_ASPARAGUS] = {98, 176, 177, 177, 178, 178, 179, 179, 180, 181, 182, 171, 172, 173, 174, 175},
	[SKINCOLOR_ARMY] = {97, 98, 176, 177, 178, 179, 180, 181, 20, 22, 24, 25, 27, 29, 30, 31},
	[SKINCOLOR_CROW] = {1, 4, 7, 179, 180, 181, 108, 42, 44, 23, 24, 26, 27, 28, 29, 31},
	[SKINCOLOR_CHARTEUSE] = {96, 97, 98, 176, 160, 161, 162, 164, 165, 167, 168, 170, 171, 172, 173, 174},
	[SKINCOLOR_SLIME] = {176, 160, 184, 185, 185, 186, 165, 107, 108, 108, 109, 109, 110, 63, 174, 111},
	[SKINCOLOR_LEAF] = {176, 160, 184, 184, 185, 186, 187, 168, 169, 170, 171, 172, 173, 174, 175, 31},
	[SKINCOLOR_JUNGLE] = {184, 163, 165, 187, 168, 169, 182, 182, 109, 183, 254, 199, 255, 142, 143, 31},
	[SKINCOLOR_EVERGREEN] = {0, 200, 201, 226, 227, 217, 221, 189, 171, 190, 173, 174, 174, 175, 30, 31},
	[SKINCOLOR_TROPIC] = {97, 176, 160, 184, 184, 185, 185, 220, 217, 221, 222, 223, 173, 191, 175, 31},
	[SKINCOLOR_IGUANA] = {177, 161, 163, 164, 165, 166, 221, 221, 219, 219, 206, 206, 240, 242, 244, 246},
	[SKINCOLOR_SPEARMINT] = {120, 96, 97, 176, 160, 162, 220, 216, 217, 221, 222, 171, 172, 173, 174, 175},
	[SKINCOLOR_PATINA] = {209, 210, 212, 214, 220, 220, 165, 166, 180, 181, 182, 109, 110, 191, 111, 30},
	[SKINCOLOR_LAKESIDE] = {96, 99, 177, 162, 220, 216, 217, 221, 222, 171, 46, 61, 62, 63, 28, 30},
	[SKINCOLOR_ELECTRIC] = {120, 120, 0, 0, 208, 208, 247, 247, 211, 213, 220, 217, 221, 222, 223, 174},
	[SKINCOLOR_TURQUOISE] = {210, 214, 220, 217, 221, 221, 222, 222, 222, 223, 223, 173, 174, 174, 175, 31},
	[SKINCOLOR_PEGASUS] = {120, 120, 0, 1, 200, 200, 209, 211, 213, 215, 216, 217, 221, 222, 223, 207},
	[SKINCOLOR_PLASMA] = {120, 0, 208, 247, 247, 212, 213, 215, 216, 229, 230, 233, 235, 237, 239, 241},
	[SKINCOLOR_COMET] = {120, 120, 0, 208, 247, 247, 213, 215, 216, 217, 218, 204, 205, 206, 207, 28},
	[SKINCOLOR_LIGHTNING] = {120, 96, 97, 98, 176, 209, 212, 215, 216, 228, 229, 230, 233, 235, 237, 240},
	[SKINCOLOR_VACATION] = {97, 176, 160, 162, 220, 216, 217, 229, 230, 233, 235, 237, 239, 242, 244, 246},
	[SKINCOLOR_ULTRAMARINE] = {224, 209, 211, 213, 215, 216, 228, 229, 204, 205, 205, 206, 239, 242, 244, 31},
	[SKINCOLOR_DEPTHS] = {247, 213, 215, 216, 217, 204, 205, 237, 238, 239, 240, 241, 243, 244, 245, 246},
	[SKINCOLOR_DIANNE] = {0, 3, 6, 9, 12, 203, 218, 222, 222, 223, 25, 26, 27, 28, 29, 30},
	[SKINCOLOR_EXOTIC] = {80, 121, 67, 70, 73, 32, 35, 181, 222, 222, 223, 223, 207, 243, 245, 31},
	[SKINCOLOR_SNOW] = {0, 200, 208, 210, 225, 226, 226, 227, 228, 203, 204, 205, 206, 207, 29, 30},
	[SKINCOLOR_MOON] = {104, 113, 105, 106, 107, 108, 205, 206, 240, 241, 242, 243, 244, 245, 246, 31},
	[SKINCOLOR_LUNAR] = {225, 226, 202, 203, 204, 205, 206, 238, 239, 241, 242, 243, 244, 245, 246, 31},
	[SKINCOLOR_ONYX] = {200, 201, 202, 203, 204, 205, 205, 206, 206, 207, 207, 243, 243, 244, 245, 246},
	[SKINCOLOR_LAPIS] = {210, 212, 214, 216, 229, 230, 231, 233, 234, 235, 236, 238, 240, 242, 244, 246},
	[SKINCOLOR_ORCA] = {120, 120, 0, 0, 1, 200, 224, 225, 226, 227, 228, 229, 204, 205, 206, 207},
	[SKINCOLOR_STORM] = {0, 1, 2, 4, 201, 202, 202, 228, 229, 230, 232, 234, 236, 238, 240, 242},
	[SKINCOLOR_MIDNIGHT] = {231, 232, 233, 234, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 31},
	[SKINCOLOR_COTTONCANDY] = {120, 80, 121, 67, 122, 201, 201, 215, 215, 216, 217, 218, 205, 206, 240, 243},
	[SKINCOLOR_CYBER] = {64, 81, 70, 145, 192, 248, 228, 229, 230, 231, 233, 234, 236, 238, 240, 242},
	[SKINCOLOR_AMETHYST] = {121, 122, 123, 192, 248, 249, 203, 229, 230, 233, 235, 236, 238, 239, 241, 243},
	[SKINCOLOR_IRIS] = {0, 208, 210, 225, 226, 202, 249, 250, 251, 252, 253, 254, 199, 255, 29, 31},
	[SKINCOLOR_GOTHIC] = {208, 209, 225, 227, 203, 204, 252, 253, 137, 139, 140, 255, 255, 244, 245, 246},
	[SKINCOLOR_GRAPE] = {65, 122, 192, 193, 194, 195, 196, 197, 198, 238, 239, 241, 242, 243, 245, 31},
	[SKINCOLOR_INDIGO] = {192, 194, 195, 196, 197, 198, 199, 239, 240, 241, 242, 243, 244, 245, 246, 31},
	[SKINCOLOR_SAKURA] = {64, 66, 122, 123, 192, 193, 193, 194, 130, 131, 133, 134, 136, 137, 199, 255},
	[SKINCOLOR_DISCO] = {192, 193, 194, 195, 196, 197, 136, 137, 138, 139, 140, 141, 142, 143, 30, 31},
	[SKINCOLOR_MULBERRY] = {121, 123, 124, 125, 126, 127, 130, 196, 197, 197, 198, 199, 140, 141, 142, 143},
	[SKINCOLOR_BOYSENBERRY] = {123, 125, 127, 130, 132, 134, 198, 198, 199, 199, 255, 255, 244, 245, 246, 31},
	[SKINCOLOR_MYSTIC] = {122, 145, 248, 249, 250, 251, 197, 197, 198, 198, 199, 199, 255, 255, 29, 31},
	[SKINCOLOR_WICKED] = {121, 5, 10, 15, 20, 253, 254, 254, 255, 255, 29, 245, 245, 246, 246, 31},
})

-- for reverse lookup
rawset(_G, "SG_ColorNames", {
	[0] = "None", "White", "Silver", "Grey", "Nickel", "Black", "Skunk", "Fairy", "Popcorn", "Artichoke",
	"Pigeon", "Sepia", "Beige", "Walnut", "Brown", "Leather", "Salmon", "Pink", "Rose", "Brick",
	"Cinnamon", "Ruby", "Raspberry", "Cherry", "Red", "Crimson", "Maroon", "Lemonade", "Flame", "Scarlet",
	"Ketchup", "Dawn", "Sunset", "Creamsicle", "Orange", "Pumpkin", "Rosewood", "Burgundy", "Tangerine", "Peach",
	"Caramel", "Cream", "Gold", "Royal", "Bronze", "Copper", "Quarry", "Yellow", "Mustard", "Crocodile",
	"Olive", "Vomit", "Garden", "Lime", "Handheld", "Tea", "Pistachio", "Moss", "Camouflage", "Robo-Hood",
	"Mint", "Green", "Pinetree", "Emerald", "Swamp", "Dream", "Plague", "Algae", "Caribbean", "Azure",
	"Aqua", "Teal", "Cyan", "Jawz", "Cerulean", "Navy", "Platinum", "Slate", "Steel", "Thunder",
	"Rust", "Wristwatch", "Jet", "Sapphire", "Periwinkle", "Blue", "Blueberry", "Nova", "Pastel", "Moonslam",
	"Ultraviolet", "Dusk", "Bubblegum", "Purple", "Fuchsia", "Toxic", "Mauve", "Lavender", "Byzantium", "Pomegranate",
	"Lilac", "Bone", "Carbon", "Ink", "Ghost", "Marble", "Bluebell", "Chocolate", "Tan", "Peachy",
	"Quail", "Lantern", "Apricot", "Sandy", "Banana", "Sunflower", "Olivine", "Peridot", "Apple", "Seafoam", "Forest",
	"Topaz", "Frost", "Wave", "Icy", "Peacock", "Vapor", "Gemstone", "Neon", "Plum", "Violet", "Magenta",
	"Thistle", "Diamond", "Raven", "Mud", "Earthworm", "Yogurt", "Pearl", "Strawberry", "Soda", "Bloodcell",
	"Mahogany", "Fiery", "Spice", "King", "Hot Dog", "Carnation", "Candy", "Nebula", "Steampunk", "Amber",
	"Carrot", "Cheese", "Dune", "Brass", "Citrine", "Lemon", "Casket", "Khaki", "Light", "Peppermint", "Laser",
	"Asparagus", "Army", "Crow", "Charteuse", "Slime", "Leaf", "Jungle", "Evergreen", "Tropic", "Iguana",
	"Spearmint", "Patina", "Lakeside", "Electric", "Turquoise", "Pegasus", "Plasma", "Comet", "Lightning", "Vacation",
	"Ultramarine", "Depths", "Dianne", "Exotic", "Snow", "Moon", "Lunar", "Onyx", "Lapis", "Orca",
	"Storm", "Midnight", "Cotton Candy", "Cyber", "Amethyst", "Iris", "Gothic", "Grape", "Indigo", "Sakura",
	"Disco", "Mulberry", "Boysenberry", "Mystic", "Wicked",
})

local SG_CVSkinColors = {}

for i = 0, MAXSKINCOLORS-1 do
    if not SG_ColorNames[i] then
        print("\130WARNING:\128 sglua: missing a hardcode skincolor!")
        break
    end

    SG_CVSkinColors[SG_ColorNames[i]] = i
end

-- for possiblevalue
rawset(_G, "SG_CVSkinColors", SG_CVSkinColors)

-- remove colors for vanilla client
for i = MAXSKINCOLORS, #SG_ColorNames do
	SG_ColorNames[i] = nil
end

-- end of skin color stuff (ugh...)

local rp

-- SG_Archive must ONLY be called in MapLoad hooks. Players are not yet initialized in MapChange!
-- Be careful if calling SG_Archive conditionally, the data may be saved/loaded in the wrong order!
rawset(_G, "SG_Archive", function(var)
	if isdedicatedserver then return var end
	if replayplayback then
		if not (rp and rp.valid) then
			for p in players.iterate do
				if p.sgreplay then
					rp = p
					print("Loading replay data from "..rp.name)
					break
				end
			end
		end
		return table.remove(rp.sgreplay, 1)
	else
		if not (rp and rp.valid) then
			rp = consoleplayer
			rp.sgreplay = {}
			print("Saving replay data to "..rp.name)
		end
		table.insert(rp.sgreplay, var)
		return var
	end
end)

-- don't clog up replay data
addHook("MapLoad", function()
	if not replayplayback and rp and rp.valid then rp.sgreplay = {} end
end)

addHook("ThinkFrame", function()
	if replayplayback and rp and rp.valid and leveltime > 0 and next(rp.sgreplay) then
		print("\130Stale replay data found! Please report this issue!")
	end
end)

-- ported from v_video, now with strings!
rawset(_G, "SG_DrawPaddedNum", function(v, x, y, num, digits, font, flags, cmap)
	num = tostring(abs(num)) -- always positive

	-- pad number to required digits
	num = string.format("%0"..digits.."d", num)

	-- draw each digit
	for i = #num, 1, -1 do
		local patch = v.cachePatch(font..string.sub(num, i, i))
		x = $ - (patch.width - 1) * (flags & V_NOSCALESTART and v.dupx() or 1)
		v.draw(x, y, patch, flags, cmap)
	end
end)

-- set some splitscreen video flags
-- input: splitscreen index
-- returns: video flags
rawset(_G, "SG_GetSplitscreenFlags", function(splitindex)
	if splitscreen == 1 then -- 2P
		return splitindex and V_SPLITSCREEN | V_SNAPTOBOTTOM
	elseif splitscreen >= 2 then -- 3P or 4P
		if splitindex == 1 then
			return V_HORZSCREEN
		elseif splitindex == 2 then
			return V_SPLITSCREEN | V_SNAPTOBOTTOM
		elseif splitindex == 3 then
			return V_SPLITSCREEN | V_SNAPTOBOTTOM | V_HORZSCREEN
		end
	end
	return 0
end)

-- is a fullscreen battle animation being displayed?
-- input: player
-- returns: true if yes
rawset(_G, "SG_BattleFullscreen", function(p)
	return (G_BattleGametype() and (p.exiting > 0 or p.kartstuff[k_bumper] <= 0 and p.kartstuff[k_comebacktimer] > 0 and p.playerstate == PST_LIVE))
end)

-- a bunch of stuff related to spectators and challengers
local _freeplaystart = false
rawset(_G, "SG_HideHud", false)
local _playersingame = 0

addHook("NetVars", function(sync)
	_freeplaystart = sync($)
	_playersingame = sync($)
	rawset(_G, "SG_HideHud", sync(SG_HideHud))
end)

-- can spectators join the game? (absolutely not stolen from k_kart)
-- returns: true if yes
local starttime = 6*TICRATE + (3*TICRATE/4)
rawset(_G, "SG_SpectatorsCanJoin", function()
	local numingame = 0
	local cv_ingamecap = CV_FindVar("ingamecap")
	local cv_allowteamchange = CV_FindVar("allowteamchange")

	// No one's allowed to join
	if not cv_allowteamchange.value then return false end

	// Get the number of players in game, and the players to be de-spectated.
	for p in players.iterate do
		if not p.spectator then
			numingame = $ + 1

			// DON'T allow if you've hit the in-game player cap
			if cv_ingamecap.value and numingame >= cv_ingamecap.value then return false end

			// Allow if you're not in a level
			-- can't check in lua
			--if gamestate ~= GS_LEVEL then continue end

			// DON'T allow if anyone's exiting
			if p.exiting > 0 then return false end

			// Allow if the match hasn't started yet
			if numingame < 2 or leveltime < starttime then continue end

			// DON'T allow if the match is 20 seconds in
			if leveltime > (starttime + 20*TICRATE) then return false end

			// DON'T allow if the race is on the second lap
			if G_RaceGametype() and p.laps > 0 then return false end
		end
	end

	// The map started as a legitimate race, but there's still the one player.
	// Don't allow new joiners, as they're probably a ragespeccer.
	if G_RaceGametype() and not _freeplaystart and numingame == 1 then return false end

	return true
end)

-- is a challenger approaching?
-- returns: true if yes
rawset(_G, "SG_MapReset", function()
	return SG_HideHud
end)

addHook("MapLoad", function()
	rawset(_G, "SG_HideHud", false)
	local playercount = 0
	for p in players.iterate do
		if not p.spectator then playercount = $ + 1 end
	end
	_freeplaystart = playercount <= 1
end)

addHook("PlayerQuit", function(p)
	local emptied = true
	for px in players.iterate do
		if p ~= px and not px.spectator then emptied = false end
	end
	_freeplaystart = emptied
end)

addHook("PlayerSpawn", function()
	local numingame = 0
	for p in players.iterate do
		if not p.spectator then numingame = $ + 1 end
	end
	if _playersingame == 1 and numingame == 2 and leveltime > 108+5 then -- introtime
		rawset(_G, "SG_HideHud", true)
	end
	_playersingame = numingame
end)

-- finds player by name or number
-- input: string
-- output: match count, player
rawset(_G, "SG_FindPlayer", function(...)
	local n = tonumber((...)) -- first arg
	if n ~= nil and n >= 0 and n < #players then return players[n], 1 end

	n = table.concat({...}, " "):lower()
	local matchcount, player = 0
	for p in players.iterate do
		if string.find(string.lower(p.name), n, 1, true) then
			matchcount = $ + 1
			player = p
		end
	end
	return player, matchcount
end)

-- converts mobj coordinates into screen coordinates
-- NOTE: use with V_NOSCALESTART!
-- original code by Lat'
-- input: drawer, player, camera, target mobj, height offset (needed to handle flipcam), dontclip
-- output: x, y, flipped (true if target sprite appears flipped)
-- TODO: GL perspective still breaks at some angles
-- TODO: FOV is broken on software
-- TODO: 2P splitscreen on GL software perspective
-- TODO: 2P splitscreen on GL software perspective with AIMINGTODY fix
-- TODO: 2P splitscreen on true software with AIMINGTODY fix
-- TODO: every single combination of client and renderer produces different camera angles in 2P splitscreen
-- TODO: whip someone into making R_GetScreenCoords, i am so fucking tired of this shit, 5 renderers/perspectives is too much
local gl, aimingtodyfix
rawset(_G, "SG_GetScreenCoords", function(v, p, c, target, hofs, dontclip)
	if not target then return end
	local camx, camy, camz, camangle, camaiming

	if not gl then
		gl = v.renderer() == "opengl"
		-- uhhhhhhh how do i detect this
		-- send help
		aimingtodyfix = string.find(VERSIONSTRING, "Saturn", 0, true)
		or string.find(VERSIONSTRING, "Galaxy", 0, true)
		or string.find(VERSIONSTRING, "Planeptune", 0, true)
	end

	if p.awayviewtics then
		camx = p.awayviewmobj.x
		camy = p.awayviewmobj.y
		camz = p.awayviewmobj.z
		camangle = p.awayviewmobj.angle
		camaiming = p.awayviewaiming
	elseif c.chase then
		camx = c.x
		camy = c.y
		camz = c.z + (p.mo.eflags & MFE_VERTICALFLIP and c.height)
		camangle = c.angle
		camaiming = c.aiming
	else
		camx = p.mo.x
		camy = p.mo.y
		camz = p.viewz
		camangle = p.mo.angle
		camaiming = p.aiming
	end

	local fovval = CV_FindVar("fov").value
	local xres = v.width()<<(FRACBITS-1)
	local yres = v.height()<<(FRACBITS-1)
	local fov = FixedDiv(xres, tan(FixedAngle(fovval/2), true))

	-- X coordinate
	-- get difference between camangle and angle towards target
	local x = camangle - R_PointToAngle2(camx, camy, target.x, target.y)

	local distfact = cos(x) or 1
	if encoremode then x = -x end -- flip on encore
	if x < ANGLE_270 or x > ANGLE_90 then return end -- clip points behind the camera

	-- we'll project the X coordinate later, because it might need some extra perspective

	-- flipping
	local targflip = target.eflags & MFE_VERTICALFLIP
	local srcflip = p.pflags & PF_FLIPCAM and p.mo.eflags & MFE_VERTICALFLIP

	-- Y coordinate
	-- getting the angle difference here is a bit more involved...
	-- start by getting the height difference between the camera and target
	local y = camz - target.z - (targflip and target.height)
	if hofs then y = y - (targflip and -hofs or hofs) end

	-- then get the distance between camera and target
	local dist = R_PointToDist2(camx, camy, target.x, target.y)

	-- NOW we can get the angle difference
	if gl and CV_FindVar("gr_shearing").value == 0 then -- OpenGL
		local yang = R_PointToAngle2(0, 0, dist, y) -- not perspective
		x = FixedMul(x, cos(yang)) -- perspective
		y = -camaiming - FixedDiv(yang, distfact)
		if y < ANGLE_270 or y > ANGLE_90 then return end -- clip points behind the camera
		if splitscreen == 1 then y = $ + ($/4) end -- multiply by 1.25 for 2P splitscreen
		if srcflip then y = -y end -- flipcam
		y = FixedMul(tan(-y, true), fov) + yres -- project the angle to get our final Y coordinate
	else -- software
		local fovratio = FixedDiv(90*FRACUNIT, 180*FRACUNIT - FixedMul(fovval, 4*FRACUNIT/3)-FRACUNIT*-30)

		y = FixedDiv(y, FixedMul(dist, distfact))
		if srcflip then y = -y end -- flipcam
		if y ~= INT32_MIN then -- I_Error(): FixedDiv: divide by zero
			y = FixedMul(FixedDiv(y, fovratio), xres) + yres
		--else print("NOPE!")
		end

		local offset = FixedMul(tan(camaiming, true), xres)
		-- this isn't fovtan... what am i even doing anymore
		if splitscreen == 1 then offset = 17*offset/10 end
		-- OpenGL with software perspective is miscentered on non-16:10 resolutions
		if gl then offset = FixedMul($, FixedDiv(104857, FixedDiv(xres, yres))) end
		-- thanks fickle
		if aimingtodyfix then offset = FixedDiv($, fovratio) end
		if srcflip then offset = -offset end -- flipcam
		y = y + offset
	end

	-- project the angle to get our final X coordinate
	x = FixedMul(tan(x, true), fov)
	if splitscreen == 1 then x = ($/2) + ($/8) end -- divide by 320/200 (1.6) on 2P splitscreen
	x = $ + xres

	-- now clip in screen-space
	if not dontclip and (x < 0 or x > xres*2 or y < 0 or y > yres*2) then return end

	-- get splitscreen index
	local splitindex = c.pnum - 1
	--[[ thanks toaster/lat/whoever for never documenting c.pnum
	local splitindex
	for dp, i in displayplayers.iterate do
		if p == dp then splitindex = i end
	end
	--]]

	-- adjust coords for splitscreen
	if splitscreen == 1 then -- 2P
		y = $>>1
		if splitindex then y = y + yres end
	end
	if splitscreen >= 2 then -- 3P or 4P
		x = x>>1
		y = y>>1
		if splitindex & 1 then x = x + xres end
		if splitindex >= 2 then y = y + yres end
	end

	return x, y, targflip ~= srcflip
end)

--[[ debug GetScreenCoords
hud.add(function(v, p, c)
	if not p.mo then return end
	if not #p == 0 then return end
	for t in mapthings.iterate do
		local target = t.mobj
		if not target then continue end
		local x, y
		x, y = SG_GetScreenCoords(v, p, c, target)
		if x then v.drawFill(x>>FRACBITS, y>>FRACBITS, 8, 8, ((leveltime * 4) % 256)|V_NOSCALESTART) end
		x, y = SG_GetScreenCoords(v, p, c, target, target.height)
		if x then v.drawFill(x>>FRACBITS, y>>FRACBITS, 8, 8, 32|V_NOSCALESTART) end
	end
	for dp in displayplayers.iterate do
		local target = dp.mo
		if not target then continue end
		local x, y
		x, y = SG_GetScreenCoords(v, p, c, target)
		if x then v.drawFill(x>>FRACBITS, y>>FRACBITS, 8, 8, ((leveltime * 4) % 256)|V_NOSCALESTART) end
		x, y = SG_GetScreenCoords(v, p, c, target, target.height)
		if x then v.drawFill(x>>FRACBITS, y>>FRACBITS, 8, 8, 32|V_NOSCALESTART) end
	end
end)
--]]

---------------------------------------
-- DRAWING STUFF
---------------------------------------

-- breaks up a string into multiple lines by inserting newlines (\n),
-- using the given max width in pixels and function to check string width (eg. v.stringWidth)
-- returns output string, and number of lines for convenience
-- input: string text, number maxwidth, function widthfunc, ... args to widthfunc
-- output: string out, number numlines
rawset(_G, "SG_Linebreak", function(text, maxwidth, widthfunc, ...)
	local numlines, linelen, out = 1, 0, ""
	for word in text:gmatch("%s*%S+") do
		local len = widthfunc(word, unpack({...}))
		local _, newlines = word:gsub("\n", "")
		if newlines then
			numlines = $ + newlines
			linelen = 0
		end

		linelen = $ + len
		if linelen > maxwidth then
			word = $:gsub("%s", "")
			out = $.."\n"..word
			linelen = widthfunc(word, unpack({...}))
			numlines = $ + 1
		else
			out = $..word
		end
	end
	return out, numlines
end)

rawset(_G, "SG_Xcolorcode", function(p)
	return string.char(0x90 + #p)
end)

local load = true
local cv_colorizedhud, cv_colorizedhudcolor, cv_colorizeditembox, cv_darkitembox
local stplyr
local itemboxes = {
	[0] = "K_ITBG",
	"K_ITBGD",
	"K_ISBG",
	"K_ISBGD",
	"K_ITBC",
	"K_ITBCD",
	"K_ISBC",
	"K_ISBCD",
}
local itemmuls = {
	[0] = "K_ITMUL",
	"K_ISMUL",
	"K_ITMULC",
	"K_ISMULC",
}

hud.add(function(v, p)
	stplyr = p
	if load then
		local function DrawTextLine(x, y, scale, str, font, flags, colormap)
			local map = colormap
			local dup = flags & V_NOSCALESTART and v.dupx() or 1
			dup = $ * scale
			for i = 1, #str do
				local char = string.byte(str:sub(i, i))
				if char >= 0x80 then
					if char == 0x80 then
						map = colormap
					end
					if char >= 0x90 then
						map = v.getColormap(-1, players[char - 0x90] and players[char - 0x90].skincolor or 3)
					end
					continue
				end

				local patch = font[char]
				if patch then
					v.drawScaled(x, y, scale, patch, flags, map)
				end
				if (not patch) or flags & V_MONOSPACE == V_MONOSPACE then
					x = $ + font.monospace * dup
				else
					x = $ + patch.width * dup
				end
			end
		end

		rawset(_G, "SG_StringWidth", function(str, font, flags)
			flags = $ or 0
			if not (flags & V_ALLOWLOWERCASE) then str = $:upper() end
			local w = 0
			for i = 1, #str do
				local char = string.byte(str:sub(i, i))
				if char >= 0x80 then continue end

				local patch = font[char]
				if (not patch) or flags & V_MONOSPACE == V_MONOSPACE then
					w = $ + font.monospace
				else
					w = $ + patch.width
				end
			end
			return w
		end)

		-- based on drawStringMkII
		-- everything here is the same as regular drawstring, except
		-- font table containing patches for each character
		-- color is skincolor number to use for colormap
		-- input: fixed x, fixed y, string str, table font, number flags, string align, number color
		rawset(_G, "SG_DrawString", function(x, y, str, font, flags, align, color)
			SG_DrawFixedString(x<<FRACBITS, y<<FRACBITS, FRACUNIT, str, font, flags, align, color)
		end)

		-- input: fixed x, fixed y, fixed scale, string str, table font, number flags, string align, number color
		rawset(_G, "SG_DrawFixedString", function(x, y, scale, str, font, flags, align, color)
			str = tostring($)
			flags = $ or 0
			--align = $ or 0
			color = $ or 0

			if not (flags & V_ALLOWLOWERCASE) then str = $:upper() end
			flags = $ & ~V_ALLOWLOWERCASE -- same as V_FLIP, don't flip the text!

			local colormap = v.getColormap(-1, color)

			local startx = x
			local dup = flags & V_NOSCALESTART and v.dupx() or 1
			for line, newlines in str:gmatch("([^\n]+)(\n*)") do
				if align == "right" then
					x = startx - (SG_StringWidth(line, font, flags) * dup)*scale
				elseif align == "center" then
					x = startx - (SG_StringWidth(line, font, flags) * dup/2)*scale
				end
				DrawTextLine(x, y, scale, line, font, flags, colormap)
				y = $ + (font.height * #newlines * dup) * scale
			end
		end)

		-- people still play on 5.1?
		-- cringe... :^)
		cv_colorizedhud = CV_FindVar("colorizedhud") or { value = 0 }
		cv_colorizedhudcolor = CV_FindVar("colorizedhudcolor") or { value = 0 }
		cv_colorizeditembox = CV_FindVar("colorizeditembox") or { value = 0 }
		cv_darkitembox = CV_FindVar("darkitembox") or { value = 0 }

		if not v.useColorHud then
			v.useColorHud = function()
				return cv_colorizedhud.value == 1
			end
		end

		if not v.getHudColor then
			v.getHudColor = function()
				return cv_colorizedhudcolor.value or stplyr.skincolor
			end
		end

		if not v.getColorHudPatch then
			v.getColorHudPatch = function(patch, ...)
				local ret
				local colormap = v.useColorHud() and v.getColormap(TC_DEFAULT, v.getHudColor()) or nil
				if patch == "item" then
					local small, dark = ...
					local ofs = ((cv_darkitembox.value and dark) and 1 or 0) + (small and 2 or 0) + ((cv_colorizeditembox.value and colormap) and 4 or 0)
					ret = v.cachePatch(itemboxes[ofs])
				elseif patch == "itemmul" then
					local small = (...)
					local ofs = (small and 1 or 0) + (colormap and 2 or 0)
					ret = v.cachePatch(itemmuls[ofs])
				else
					error("Unimplemented", 2)
				end
				return ret, colormap
			end
		end
	end
	load = false
end, "game")
